You are not logged in.

#1 2016-05-23 16:07:48

jalexander9
Member
Registered: 2015-11-08
Posts: 152

[SOLVED] acpi is installed on bunsen; need to be enhanced?

Since the latest installation of bunsenlabs 8.4 hydrogen I have periodically run CLI <$dmesg> in order to check this report.
One of the items which appear on this report asks for the 'acpi driver' if you can get it on the system.

I have used apt-cache search on the term 'acpi' to find related packages. The one that seems to be the most likely to enhance the use of 'acpi' is a package called: 'acpi-call-dkms'. This package includes 25 other dependancies and about (4) sets of 'gcc' packages(?)

Do I need to enhance 'acpi'; or will this break my system?

EDIT: Advanced Configuration and Power Interface (ACPI). I seem to recall @johnraff warning against mixing the 'gcc' version packages, if it is at all possible. I realize that dmesg reports can give out warnings without actually full-blown fatal errors as the consequences.

Last edited by jalexander9 (2016-06-04 15:55:58)

Offline

#2 2016-05-23 18:14:32

Head_on_a_Stick
Member
From: London
Registered: 2015-09-29
Posts: 8,759
Website

Re: [SOLVED] acpi is installed on bunsen; need to be enhanced?

jalexander9 wrote:

Since the latest installation of bunsenlabs 8.4 hydrogen I have periodically run CLI <$dmesg> in order to check this report.
One of the items which appear on this report asks for the 'acpi driver' if you can get it on the system.

Please always post the verbatim message, like this:

[    4.533037] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver

See, I get that too big_smile

Are you experiencing any problems with power management (or anything else) in your BunsenLabs system?

If not then it's probably best to ignore inconsequential and inscrutable informational messages in the kernel ring buffer.

jalexander9 wrote:

The one that seems to be the most likely to enhance the use of 'acpi' is a package called: 'acpi-call-dkms' [...] will this break my system?

Probably.

From the package description:

It allows you to tamper with your system and should be used with caution.

https://packages.debian.org/jessie/acpi-call-dkms

Remember: if it isn't broke, don't try to fix it wink

EDIT: I entered the exact error message into the search box at https://www.startpage.com/ and this link was top of the list:
https://www.linuxquestions.org/question … ct-841730/

LQ is a fantastic resource  angel

Last edited by Head_on_a_Stick (2016-05-23 18:16:39)


“Et ignotas animum dimittit in artes.” — Ovid, Metamorphoses, VIII., 18.

Forum Rules   •   How to report a problem   •   Software that rocks

Offline

#3 2016-05-23 18:32:55

jalexander9
Member
Registered: 2015-11-08
Posts: 152

Re: [SOLVED] acpi is installed on bunsen; need to be enhanced?

As always, @HoaS, you are golden!! Sorry for not posting dmesg, nor the script copy (.log).

I don't want to break bunsenlabs installation, so just asking ahead of time. Thanks smile

Happy 42 dude!

Last edited by jalexander9 (2016-05-23 18:36:22)

Offline

#4 2016-05-23 18:35:53

Head_on_a_Stick
Member
From: London
Registered: 2015-09-29
Posts: 8,759
Website

Re: [SOLVED] acpi is installed on bunsen; need to be enhanced?

Thank you!

lol


“Et ignotas animum dimittit in artes.” — Ovid, Metamorphoses, VIII., 18.

Forum Rules   •   How to report a problem   •   Software that rocks

Offline

#5 2016-05-23 19:57:36

Horizon_Brave
Operating System: Linux-Nettrix
Registered: 2015-10-18
Posts: 1,473

Re: [SOLVED] acpi is installed on bunsen; need to be enhanced?

You know after seeing a lot of ACPI threads and errors, etc... I finally went and really dug into what the heck ACPI "really" is. I had an idea, but now it makes a lot more sense...he's two great links explaining what it is and what it's actually doing.

What is ACPI?

and of course :

/Power_Management#ACPI_events


"I have not failed, I have found 10,000 ways that will not work" -Edison

Offline

#6 2016-05-24 18:17:21

jalexander9
Member
Registered: 2015-11-08
Posts: 152

Re: [SOLVED] acpi is installed on bunsen; need to be enhanced?

For documentation purposes:

[   11.058613] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
[   11.058928] ACPI Warning: SystemIO range 0x0000000000001C00-0x0000000000001C1F conflicts with OpRegion 0x0000000000001C00-0x0000000000001C0F (\_SB_.PCI0.SBUS.SMBI) (20140424/utaddress-254)
[   11.058936] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[   11.058961] snd_hda_intel 0000:00:1b.0: irq 50 for MSI/MSI-X
[   11.059096] ACPI Warning: SystemIO range 0x0000000000000428-0x000000000000042F conflicts with OpRegion 0x0000000000000400-0x000000000000047F (\PMIO) (20140424/utaddress-254)
[   11.059103] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[   11.059107] ACPI Warning: SystemIO range 0x00000000000011B0-0x00000000000011BF conflicts with OpRegion 0x0000000000001180-0x00000000000011FF (\GPIO) (20140424/utaddress-254)
[   11.059112] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[   11.059114] ACPI Warning: SystemIO range 0x0000000000001180-0x00000000000011AF conflicts with OpRegion 0x0000000000001180-0x00000000000011FF (\GPIO) (20140424/utaddress-254)
[   11.059119] ACPI: If an ACPI driver is available for this device, you should use it instead of the native driver
[   11.059121] lpc_ich: Resource conflict(s) found affecting gpio_ich

Also:

jalexander05k15@thinkp01k11antec:~$ dmesg | grep acpi
[    0.000000] ACPI: LAPIC (acpi_id[0x00] lapic_id[0x00] enabled)
[    0.000000] ACPI: LAPIC (acpi_id[0x01] lapic_id[0x01] enabled)
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x00] high edge lint[0x1])
[    0.000000] ACPI: LAPIC_NMI (acpi_id[0x01] high edge lint[0x1])
[    0.089714] acpiphp: ACPI Hot Plug PCI Controller Driver version: 0.5
[    0.165280] acpi PNP0A08:00: _OSC: OS supports [ExtendedConfig ASPM ClockPM Segments MSI]
[    0.168008] acpi PNP0A08:00: _OSC failed (AE_NOT_FOUND); disabling ASPM
[    0.192168] acpiphp: Slot [1] registered
[    9.337645] ACPI: acpi_idle registered with cpuidle
[   10.624383] thinkpad_acpi: ThinkPad ACPI Extras v0.25
[   10.624384] thinkpad_acpi: http://ibm-acpi.sf.net/
[   10.624385] thinkpad_acpi: ThinkPad BIOS 6JET93WW (1.51 ), EC 6JHT71WW-1.31
[   10.624386] thinkpad_acpi: Lenovo ThinkPad SL510, model 2847CTO
[   10.624642] thinkpad_acpi: detected a 16-level brightness capable ThinkPad
[   10.626588] thinkpad_acpi: radio switch found; radios are enabled
[   10.626598] thinkpad_acpi: possible tablet mode switch found; ThinkPad in laptop mode
[   10.626713] thinkpad_acpi: This ThinkPad has standard ACPI backlight brightness control, supported by the ACPI video driver
[   10.626714] thinkpad_acpi: Disabling thinkpad-acpi brightness events by default...
[   10.627820] thinkpad_acpi: asked for hotkey mask 0x078c7fff, but firmware forced it to 0x008c7fff
[   10.644345] thinkpad_acpi: rfkill switch tpacpi_wwan_sw: radio is unblocked
[   10.657193] thinkpad_acpi: Standard ACPI backlight interface available, not loading native one
[   10.657295] thinkpad_acpi: Console audio control enabled, mode: monitor (read only)
[   10.660645] input: ThinkPad Extra Buttons as /devices/platform/thinkpad_acpi/input/input15
[   11.058395] acpi device:06: registered as cooling_device2

Offline

#7 2016-06-02 18:34:49

jalexander9
Member
Registered: 2015-11-08
Posts: 152

Re: [SOLVED] acpi is installed on bunsen; need to be enhanced?

A few days ago, I installed 'thinkfan' a package for fan control on Thinkpads. This required some modification to 'acpi'.

I found this blog on wordpress to be very helpful:

http://overtag.dk/wordpress/2012/03/to- … ning-linux

EDIT: The following link is much more detailed:

http://thinkwiki.de/Thinkfan

Especially for heat advisory alerts in middle of the summer!!

Last edited by jalexander9 (2016-06-25 18:48:10)

Offline

Board footer

Powered by FluxBB